This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 552341 - "assert(gc->gc.gc_refs == GC_REACHABLE)" failure in update_refs inside collect running /usr/bin/deluged
"assert(gc->gc.gc_refs == GC_REACHABLE)" failure in update_refs inside collec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:c72f3140004a99f559e9f3b1883...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-04 13:32 EST by cornel panceac
Modified: 2010-12-03 19:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (64.84 KB, text/plain)
2010-01-04 13:32 EST, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2010-01-04 13:32:29 EST
abrt 1.0.2 detected a crash.

Comment
-----
$ deluge
1.1.9
/usr/lib/python2.6/site-packages/deluge/ui/gtkui/statusbar.py:109: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltips = gtk.Tooltips()
/usr/lib/python2.6/site-packages/deluge/ui/gtkui/statusbar.py:229: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltips.set_tip(item.get_eventbox(), tooltip)
/usr/lib/python2.6/site-packages/deluge/ui/gtkui/statusbar.py:175: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltips.set_tip(self.dht_item.get_eventbox(), "DHT Nodes")
/usr/lib/python2.6/site-packages/deluge/ui/tracker_icons.py:70: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  log.debug("%s %s %s" % (url, e, e.message))
python: Modules/gcmodule.c:242: update_refs: Assertion `gc->gc.gc_refs == (-3)' failed.
[ERROR   ] 20:30:36 client:158 Socket or XMLRPC error: [Errno 104] Connection reset by peer

Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/deluged --port=58846 --config=/home/guzu/.config/deluge
component: python
executable: /usr/bin/python
kernel: 2.6.31.9-174.fc12.i686.PAE
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)
Comment 1 cornel panceac 2010-01-04 13:32:33 EST
Created attachment 381610 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-01-04 16:57:26 EST
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What version of deluge do you have installed?

Looking at the backtrace, it looks like this assertion:
    assert(gc->gc.gc_refs == GC_REACHABLE);
failed inside frame 3 of thread #1 inside update_refs; an object in update_refs isn't reachable, this is happening inside the garbage collector, triggered whilst claiming RAM for a PyDict_New (actually, for a boost::python::detail::dict_base::dict_base ).

Not yet sure if this is a deluge bug or a python bug.
Comment 3 Bug Zapper 2010-11-03 21:51:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 19:52:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.